<?php

declare(strict_types=1);

namespace App\Controller\TblSegmentoUsuario;

use App\Service\TblSegmentoUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblSegmentoUsuarioService(): TblSegmentoUsuarioService
    {
        return $this->container->get('TblSegmentoUsuario_service');
    }
}
